<?php
//подключение классов
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
require_once('../classes/body.class.php');
//выгоняем всех
if(empty($user['id'])) {
	$_SESSION['err'] = 'Авторизуйтесь для начала.';
	header('location: /'); exit;
}
//данные о ссылки
$inf = DB::$dbs->queryFetch("SELECT `id`,`url`,`strana`,`speed`,`stop`,`expire` from `iframe` where `id` = ? limit 1",array($id));
//проверка на ссылку
if(empty($inf['id'])){			
	$_SESSION['err'] = 'Такого ссылки просто нет.';
	header('location: /'); exit;
}
//выгоняем если ид не совпадает
if($user['id'] != $id) {
	$_SESSION['err'] = 'Ошибка авторизации';
	header('location: /'); exit;
}
//подключение хеадера
$title = new Body; //подключаем боду
$title->SetTitle('Редактирование площадки');
$title->GetHeader();
switch ($act) {
	default:
	?>
	<div class="iframe4">Редактирование ссылки <br /><?=idn_to_utf8($inf['url'])?></div>
	<?php
	//тут выполнение значений
	if (isset($_POST['add'])) {
		//проверка стран
		$strana2 = core::checkin($_POST['strana2']);
		//проверка скорости
		if(isset($_POST['speed'])) {
			$speed = core::checkin($_POST['speed']);
			if($speed == 0) {
				$sii = 0;
			}elseif($speed == 1){
				$sii = 1;
			}elseif($speed == 2){
				$sii = 2;
			}else{
				$sii = 0;
			}
		}
		//проверка на ошибки
		if(isset($strana) and preg_match("/[^A-Z $]+/i", $strana2)){
			$err = 'Ошибка вставки кода страны. Перепроверьте.';
		}
		//вывод ошибок
		if(empty($err)){
			////тут если указали страну
			$text11 = trim($strana2);
			if(strlen($text11) > 0) {
				$stran = $strana2;
			}else{
				$stran = NULL;
			}
			//подтверждаем 
			DB::$dbs->query("UPDATE `iframe` SET `strana` = ?,`speed` = ? where `id` = ?",array($stran,$sii,$id));
			//
			$_SESSION['good'] = 'Ссылка успешно отредактирована.';
			header('location: /red/'.$id.'/'); exit;
		}else{
			$_SESSION['err'] = $err;
			header('location:/'); exit;
		}
	}
	//кое какие данные
	$p = array('0' => 'Быстро', '1' => 'Средне', '2' => 'Медленно');
	$p1 = null;
	foreach ($p as $k1 => $v1) {
	if ($inf['speed'] == $k1) $p1 .= '<option selected value="'.$k1.'">'.$v1.'</option>';
	else $p1 .= '<option value="'.$k1.'">'.$v1.'</option>';
	}
	///функции
	if(isset($_GET['stop'])) { //останавливаем ифрейм
		if($inf['stop'] == 0) $stope = 1; else $stope = 0;
		DB::$dbs->query("UPDATE `iframe` SET `stop` = ? where `id` = ?",array($stope,$id));
		$_SESSION['good'] = 'Успешно изменено.';
		header('location: /red/'.$id.'/'); exit;
	}
	?>
	<form action="?do=add" method="post">
		<div class="iframe4 dop11">
			ГЕО: [<a href="/country.html">Страны</a>]<br />
			<input type="text" name="strana2" value="<?=$inf['strana']?>" placeholder="Введите двух значный код стран">
			<div class="iframe10">Страны необходимо вводить через пробел.</div>
			<div class="iframe10">Если оставить строку пустую, то по умолчанию будут все страны.</div>
		</div>
		<div class="iframe4 dop11">
		Скорость:<br />
		<select size="1" name="speed"><?=$p1?></select>
		<div class="iframe10">Скорость накрутки трафика на сайт.</div>
		</div>
		<div class="iframe4 dop11">
		<input type="submit" name="add" value="Изменить">
		</div>
	</form>
	<a class="iframe3 dop11" href="?stop"><?=$inf['stop'] == 0?'Остановить':'Запустить'?></a>
	<div class="iframe5 dop2 dop1 color1 dop13">До <?=$inf['expire']?></div>
	<?php
	break;
}
//конец сайта
$title->Foot();
?>