<?php
//подключение классов
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
require_once('../classes/body.class.php');
//подключение хеадера
$title = new Body; //подключаем боду
$title->SetTitle('Обмен IFRAME трафиком');
$title->GetHeader();
switch ($act) {
	default:
	//код для фрейма
	$codef = htmlspecialchars('<iframe')." src='https://fload.xyz/if/' style='display: none;'>".htmlspecialchars('<')."/iframe>";
	$codef2 = htmlspecialchars('<script')." async src='https://fload.xyz/if/'>".htmlspecialchars('<')."/script>";
	//если нажали добавить
	if (isset($_POST['add'])) {
		//фильтруем 
		$url = core::checkin($_POST['url']); //фильтр ссылки
		//проверка на ошибки
		if(empty($url) OR mb_strlen($url)>120 or mb_strlen($url)<1){
			$err = 'Вы либо не ввели ссылку, либо по длине она не правильная.';
		}
		//данные ссылки
		$host1 = parse_url($url, PHP_URL_HOST);
		//проверка на ссылку
		if(empty($host1)) {
			$err = 'Ссылка указано не верно!';
		}elseif(DB::$dbs->querySingle("SELECT count(id) FROM `ban` WHERE `host1` = ?",array($host1)) > 0){
			$err = 'Этот домен в черном списке сервиса.';
		}
		//вывод ошибок
		if(empty($err)){
			//проверяем куплена ли ссылка и активна ли она
			if(DB::$dbs->querySingle("SELECT count(id) FROM `iframe` WHERE `url` = ?",array($url)) > 0){
				$rows = DB::$dbs->query("SELECT `expire` FROM `iframe` WHERE `url` = ? LIMIT 1",array($url))->fetch();
				if($row['expire'] > date("Y-m-d H:i:s")){//не истек
					$_SESSION['err'] = 'Купленный iframe ещё не истек.';
					header('location: /obmen/'); exit;
				}
			}
			//проверяем добавлен ли в обмен ранее
			if(DB::$dbs->querySingle("SELECT count(id) FROM `obmen` WHERE `host1` = ?",array($host1)) > 0){
				//проверяем установленный iframe
				$sait = file_get_contents($url); //получаем страницу
				$preg1 = preg_quote("#<iframe src='https://fload.xyz/if/' style='display: none;'></iframe>#iU");
				$preg2 = preg_quote("#<script async src='https://fload.xyz/if/'></script>#iU");
				//ищем код
				if(preg_match($preg1,$sait) or preg_match($preg2,$sait)){ //код найден
					//добавляем в обмен
					$row = DB::$dbs->query("SELECT `id` FROM `obmen` WHERE `host1` = ? LIMIT 1",array($host1))->fetch();
					DB::$dbs->query("UPDATE `obmen` SET `status` = ? WHERE `id` = ?",array(1,$row['id']));
					$_SESSION['good'] = 'Ваш сайт успешно обновлен в обмене трафиком.';
					header('location: /'); exit;
				}else{ //код не найден
					$_SESSION['err'] = 'Код на данной странице не установлен.';
					header('location: /obmen/'); exit;
				}
			}else{ //если ранее нет в обмене
				//проверяем установленный iframe
				$sait = file_get_contents($url); //получаем страницу
				$preg1 = preg_quote("#<iframe src='https://fload.xyz/if/' style='display: none;'></iframe>#iU");
				$preg2 = preg_quote("#<script async src='https://fload.xyz/if/'></script>#iU");
				//ищем код
				if(preg_match($preg1,$sait) or preg_match($preg2,$sait)){ //код найден
					//добавляем в обмен
					DB::$dbs->query("INSERT INTO `obmen` SET `status` = ?,`host1` = ?,`url` = ?,`maxhost` = ?",array(1,$host1,$url,1000));
					$_SESSION['good'] = 'Ваш сайт успешно добавлен в обмен трафиком.';
					header('location: /'); exit;
				}else{ //код не найден
					$_SESSION['err'] = 'Код на данной странице не установлен.';
					header('location: /obmen/'); exit;
				}
			}
		}else{
			$_SESSION['err'] = $err;
			header('location: /obmen/'); exit;
		}
	}
	?>
	<div class="iframe4">
		Система такова, что вы добавляете iframe на ваш сайт, а мы добавляем ваш сайт к нам в iframe автоматически.
	</div>
	<div class="iframe4 dop11">
		<div class="iframe9">Код для установки на сайт:</div>
		<textarea style="resize: none;" readonly><?=$codef?></textarea>
		<div class="dop3">или</div>
		<textarea style="resize: none;" readonly><?=$codef2?></textarea>
	</div>
	<div class="iframe4 dop11 dop4 dop1 dop2">
		<form action="?do=add" method="post">
			<div class="iframe9">Куда установлен IFRAME:</div>
			<input type="url" name="url" value="" placeholder="Ссылка с https:// или http://">
			<input type="submit" name="add" class="subn" value="Добавить">
		</form>
	</div>
	<h2 class="iframe2">Список</h2>
	<a class="iframe3 dop8" href="/aktob/"><img src="/ima/7.png" alt="*"> Учавствуют <div title="количество активных участников" class="iframe6"><?=DB::$dbs->querySingle("SELECT count(id) FROM `obmen` WHERE `status` = 1")?></div></a>
	<div class="iframe12 dop11 dop4"><img src="/ima/8.png" alt="*"> Черный список <div title="сайты нарушающие правила" class="iframe6"><?=DB::$dbs->querySingle("SELECT count(id) FROM `ban`")?></div></div>
	<div class="iframe5 dop2 dop1 color6 dop13">Мак. трафик 1000 хостов</div>
	<?php
	break;
}
//конец сайта
$title->Foot();
?>